using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("会员表")]
    public partial class T_OP_MEMBER : MesEntityBase
    {
        [CUnique]
        [Description("会员编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("会员姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("微信小程序唯一识别码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string OPENID { get; set; }

        [Description("手机号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string PHONE { get; set; }

        [Description("充值卡ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_RechargeCard")]
        public Guid? RECHARGE_CARD_ID { get; set; }

        [Description("导航属性：充值卡")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_OP_RECHARGE_CARD Nav_RechargeCard { get; set; }

    }
}
